Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.asSyntax
Class BodyLiteral

    java.lang.Object
      jason.asSyntax.DefaultTerm
          jason.asSyntax.Literal
              jason.asSyntax.Atom
                  jason.asSyntax.Structure
                      jason.asSyntax.PlanBodyImpl
                          jason.asSyntax.BodyLiteral

All Implemented Interfaces:
  LogicalFormula, PlanBody, Term, ToDOM, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<Term>, java.lang.Iterable<PlanBody>

Deprecated. use PlanBodyImpl instead.

    public class BodyLiteral

extends PlanBodyImpl

See Also:
  Serialized Form

Nested Class Summary
`static class` | `BodyLiteral.BodyType` Deprecated. Use BodyType of PlanBody instead

Field Summary

Fields inherited from class jason.asSyntax.PlanBodyImpl
`BODY_PLAN_FUNCTOR`

Fields inherited from class jason.asSyntax.Structure
`emptyTermArray, emptyTermList`

Fields inherited from class jason.asSyntax.Literal
`LFalse, LNeg, LPos, LTrue, predicateIndicatorCache`

Fields inherited from class jason.asSyntax.DefaultTerm
`hashCodeCache, srcInfo`

Constructor Summary
`BodyLiteral(BodyLiteral.BodyType t, Term b)` Deprecated.

Method Summary

Methods inherited from class jason.asSyntax.PlanBodyImpl
`add, add, apply, calcHashCode, clone, clonePB, equals, getArity, getAsDOM, getBodyNext, getBodyTerm, getBodyType, getLastBody, getPlanSize, getTerm, isAtom, isBodyTerm, isEmptyBody, isPlanBody, iterator, logicalConsequence, removeBody, setAsBodyTerm, setBodyNext, setBodyTerm, setBodyType, setTerm, toString`

Methods inherited from class jason.asSyntax.Structure
`addTerm, addTerms, addTerms, compareTo, countVars, delTerm, getSingletonVars, getTerms, getTermsSize, hasTerm, hasVar, isGround, isStructure, makeTermsAnnon, makeVarsAnnon, makeVarsAnnon, parse, setTerms, varToReplace`

Methods inherited from class jason.asSyntax.Atom
`getFunctor`

Methods inherited from class jason.asSyntax.Literal
`addAnnot, addAnnots, addAnnots, addSource, canBeAddedInBB, clearAnnots, copy, delAnnot, delAnnots, delSource, delSources, equalsAsStructure, forceFullLiteralImpl, getAnnots, getAnnots, getAsListOfTerms, getPredicateIndicator, getSources, getTermsArray, hasAnnot, hasAnnot, hasSource, hasSource, hasSubsetAnnot, hasSubsetAnnot, importAnnots, isLiteral, negated, newFromListOfTerms, parseLiteral, setAnnots, setNegated`

Methods inherited from class jason.asSyntax.DefaultTerm
`getErrorMsg, getSrcInfo, hashCode, isArithExpr, isInternalAction, isList, isNumeric, isPred, isRule, isString, isUnnamedVar, isVar, resetHashCodeCache, setSrcInfo`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface jason.asSyntax.Term
`countVars, getSrcInfo, hasVar, isArithExpr, isGround, isInternalAction, isList, isLiteral, isNumeric, isPred, isRule, isString, isStructure, isUnnamedVar, isVar, setSrcInfo`

Methods inherited from interface java.lang.Comparable
`compareTo`

Constructor Detail

### BodyLiteral

    public BodyLiteral(BodyLiteral.BodyType t,
                       Term b)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD